#!/usr/bin/env python
# -*- coding: UTF-8 -*-
'''
@Project ：Filter_Object 
@File ：ocr_alg_test.py
@IDE ：PyCharm 
@Author ：zjj
@Date ：2024/1/23 13:26 
'''
import unittest

import cv2

from algs.ocr_alg import ocr_predict


class OcrTest(unittest.TestCase):

    @staticmethod
    def test_ocr_predict():
        frame = cv2.imread('../data/truck3.png')
        result, vis_im = ocr_predict(frame)
        print(result)
        cv2.imwrite('../data/ocr_result.png', vis_im)
